[Pkg-kde-commits] rev 1425 - in trunk/packages/qt-x11-free/debian: . patches

Adeodato Simó adeodato at costa.debian.org
Wed Aug 10 10:13:44 UTC 2005


Author: adeodato
Date: 2005-08-10 10:13:43 +0000 (Wed, 10 Aug 2005)
New Revision: 1425

Added:
   trunk/packages/qt-x11-free/debian/patches/08_arm_gcc4.dpatch
Modified:
   trunk/packages/qt-x11-free/debian/changelog
   trunk/packages/qt-x11-free/debian/patches/00list
Log:
New Qt upload: fix FTBFS in arm.


Modified: trunk/packages/qt-x11-free/debian/changelog
===================================================================
--- trunk/packages/qt-x11-free/debian/changelog	2005-08-09 23:30:29 UTC (rev 1424)
+++ trunk/packages/qt-x11-free/debian/changelog	2005-08-10 10:13:43 UTC (rev 1425)
@@ -1,3 +1,12 @@
+qt-x11-free (3:3.3.4-5) unstable; urgency=low
+
+  +++ Changes by Adeodato Simó:
+
+  * Fix FTBFS on arm due to incomplete compiler version check: teach qglobal.h
+    that GCC versions with major version != 3 exist. [08_arm_gcc4.dpatch]
+
+ -- Debian Qt/KDE Maintainers <debian-qt-kde at lists.debian.org>  Wed, 10 Aug 2005 12:10:01 +0200
+
 qt-x11-free (3:3.3.4-4) unstable; urgency=low
 
   * The "Three transitions and one maintainer switch" release.

Modified: trunk/packages/qt-x11-free/debian/patches/00list
===================================================================
--- trunk/packages/qt-x11-free/debian/patches/00list	2005-08-09 23:30:29 UTC (rev 1424)
+++ trunk/packages/qt-x11-free/debian/patches/00list	2005-08-10 10:13:43 UTC (rev 1425)
@@ -3,6 +3,7 @@
 04_qsql_odbc  
 05_qvfb_cpp
 06_disable_rpath
+08_arm_gcc4
 09_amd64_lib64
 14_fix_kmenu
 15_unify_declarations_glibc

Added: trunk/packages/qt-x11-free/debian/patches/08_arm_gcc4.dpatch
===================================================================
--- trunk/packages/qt-x11-free/debian/patches/08_arm_gcc4.dpatch	2005-08-09 23:30:29 UTC (rev 1424)
+++ trunk/packages/qt-x11-free/debian/patches/08_arm_gcc4.dpatch	2005-08-10 10:13:43 UTC (rev 1425)
@@ -0,0 +1,32 @@
+#! /bin/sh -e
+
+if [ $# -lt 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+    -patch) patch -p1 ${patch_opts} < $0;;
+    -unpatch) patch -R -p1 ${patch_opts} < $0;;
+    *)
+        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+        exit 1;;
+esac
+
+exit 0
+
+ at DPATCH@
+--- qt/include/qglobal.h
++++ qt/include/qglobal.h
+@@ -300,7 +300,7 @@
+    supposedly know what you are doing.) */
+ #  if (defined(__arm__) || defined(__ARMEL__)) && !defined(QT_MOC_CPP)
+ #    define Q_PACKED __attribute__ ((packed))
+-#    if __GNUC__ == 3 && __GNUC_MINOR__ >= 4
++#    if __GNUC__ == 3 && __GNUC_MINOR__ >= 4 || __GNUC__ > 3
+ #      define Q_NO_PACKED_REFERENCE
+ #    endif
+ #  endif




More information about the Pkg-kde-commits mailing list